Download it now!
Bug 42695 - [UI] When Navigator is docked, new documents show an inactive "List Box". When Navigator is undocked and "List Box" is turned "Off" then no items are shown when Navigator is docked again
Summary: [UI] When Navigator is docked, new documents show an inactive "List Box". Wh...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: Other All
: low minor
Assignee: Jim Raykowski
URL:
Whiteboard: BSA target:7.0.0
Keywords:
Depends on:
Blocks: Navigator Panel-Docking
  Show dependency treegraph
 
Reported: 2011-11-08 00:58 UTC by Harald Koester
Modified: 2020-02-16 23:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2011-11-08 00:58:26 UTC
In Writer it is not possible to hide the list of categories in the Navigator. Nothing happens when you click the "List Box On/Off." button.

Harald
              
Browser: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.23) Gecko/20110920 Firefox/3.6.23
Comment 1 Cor Nouws 2011-12-14 06:14:54 UTC
Hi Harald,

This only works when the Navigator is undocked - can you pls check that?
For me it works fine.
Thanks, Cor
Comment 2 Harald Koester 2011-12-14 06:42:32 UTC
Hi Cor,

you are right. If the Navigator is undocked, the "List Box On/Off." button works fine.

The problem is, that the "List Box On/Off" button is not greyed like other buttons in the Navigator, if they don't work. So I expected a reaction when I clicked it and nothing happens. Perhaps the button should be greyed, if the Navigator is docked.

Regards
Harald
Comment 3 Cor Nouws 2011-12-14 06:47:54 UTC
thanks for confirming.
Changing subject (was " UI: Button "List Box On/Off" in Navigator does not work " )
Comment 4 Cor Nouws 2011-12-14 06:48:22 UTC
and confirming too ;-)
Comment 5 Harald Koester 2011-12-14 09:16:22 UTC
Hi Cor,

try this:

1. Undock the Navigator.
2. Hide the list by clicking the "List Box On/Off" button.
3. Dock the Navigator again.

In my system the list of categories is not displayed. The area where it should be is grey and it is not possible to display the list by clicking the "List Box On/Off" button. I think this behavior is not intended. 

Harald
Comment 6 Harald Koester 2012-11-26 11:04:13 UTC
Bug still exists in Version 3.6.3.
Comment 7 QA Administrators 2015-01-05 17:51:23 UTC Comment hidden (obsolete)
Comment 8 Cor Nouws 2015-01-05 19:50:39 UTC
Problem still exists in 4.4.0.1
Comment 9 QA Administrators 2016-01-17 20:02:41 UTC Comment hidden (obsolete)
Comment 10 Harald Koester 2016-01-18 18:31:01 UTC
Bug still exists in version 5.0.4 with Win7.
Comment 11 QA Administrators 2018-06-06 02:46:55 UTC Comment hidden (obsolete)
Comment 12 Harald Koester 2018-06-08 20:52:58 UTC
Bug still exists in version 6.0.4 (64 bit, Win10).
Comment 13 QA Administrators 2019-06-09 03:01:46 UTC Comment hidden (obsolete)
Comment 14 Cor Nouws 2019-06-09 07:55:04 UTC
Hé, funny.
Start Writer, Navigator being visible.
 > Button "List Box On/Off" is there
Undock Navigator
Dock it again
 > Button "List Box On/Off" is hidden.

In 630 beta1 and 6.3 master. On Linux.

@Harold: what about you?
Comment 15 Harald Koester 2019-06-26 16:04:46 UTC
(In reply to Cor Nouws from comment #14)
> Hé, funny.
> Start Writer, Navigator being visible.
>  > Button "List Box On/Off" is there
> Undock Navigator
> Dock it again
>  > Button "List Box On/Off" is hidden.
> 
> In 630 beta1 and 6.3 master. On Linux.
> 
> @Harold: what about you?

The same with version 6.2.4 on Win10.

I assume the intention was to display the button "List Box On/Off" when the Navigator is undocked and vice versa not display the button when the Navigator is docked. To my opinion this makes sense, but it does not work. Always if you open the Navigator docked with F5 or together with a new or existing document, the button is displayed and does not work.

And a special effect that occurs if you switch the list box off:
...
[1] Undock the Navigator.
[2] Switch the list box off.
[3] Dock the Navigator again. The List is not displayed and is replaced by a grey area. The "List Box On/Off" button is not displayed. Expected: List should be displayed.
[4] Two times F5. Now the area is still grey and the "List Box On/Off" button is displayed, but it does not work.
Comment 16 sdc.blanco 2020-01-30 13:08:28 UTC
Changing summary 

In 7.0.0.0.alpha, when Navigator is docked, no "List Box" icon is shown (as expected in comment 15 (so WFM)

But comment 5 is still valid, that is:  undock Navigator, turn off List Box, then dock Navigator -- no items are shown.
Comment 17 Jim Raykowski 2020-01-31 03:24:24 UTC
(In reply to sdc.blanco from comment #16)
> Changing summary 
> 
> In 7.0.0.0.alpha, when Navigator is docked, no "List Box" icon is shown (as
> expected in comment 15 (so WFM)

For me, the content tool box "List Box" item is visible when the F5 Navigator is docked at Writer start. 

How about for you?
Comment 18 sdc.blanco 2020-01-31 09:15:23 UTC
(In reply to Jim Raykowski from comment #17)
> For me, the content tool box "List Box" item is visible when the F5
> Navigator is docked at Writer start. 
Confirmed.  (have changed summary again.)

Version: 7.0.0.0.alpha0+ (x64)
Build ID: eeb2d19e77d6dc47c68e8ba0920a02cf64a1247b
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: en-US (en_DK); UI-Language: en-US
Calc: threaded

To summarize the variations:

1. If Navigator is docked, and a NEW document is opened, then the docked Navigator shows a visible, inactive "List Box".

2. If Navigator is undocked and then redocked, the "List Box" disappears. (but opening a New document will still show a docked Navigator with an inactive "List Box")

3. If Navigator is undocked, and "List Box" is turned off, then redocking Navigator shows no items and no "List Box" (and no obvious way to show items again w/o undocking).  (opening a New document now will also have a docked Navigator, now showing a "List Box" icon, but also showing no items)
Comment 19 Jim Raykowski 2020-02-01 00:06:04 UTC
Two bug fixes in one!

https://gerrit.libreoffice.org/c/core/+/87758
Comment 20 Commit Notification 2020-02-04 01:07:56 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/54b28638ab15f68731861ae903c732273b41f78a

tdf#42695 Fix a couple Writer Navigator "List Box" related bugs

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 sdc.blanco 2020-02-16 15:14:56 UTC
(In reply to Jim Raykowski from comment #19)
> Two bug fixes in one!
It is remarkable how sometimes a few lines of code can fix so much misbehavior.

(In reply to sdc.blanco from comment #18)

Feedback -- followed by dumb question.  
Main conclusion: the "problematic" parts are gone.

> 1. If Navigator is docked, and a NEW document is opened, then the docked
> Navigator shows a visible, inactive "List Box".
No List Box shown in a New Document (with docked Navigator).

> 2. If Navigator is undocked and then redocked, the "List Box" disappears.
> (but opening a New document will still show a docked Navigator with an
> inactive "List Box")
List Box disappears (as before). No List Box in a New Document (with docked Navigator)
 
> 3. If Navigator is undocked, and "List Box" is turned off, then redocking
> Navigator shows no items and no "List Box" (and no obvious way to show 
> items again w/o undocking). 
Redocking shows all the categories.  (but still no List Box)

(do not know what should be expected.  But probably would not expect all the Navigator categories to be shown in this case.)

New/further tests:

1. When navigator is undocked, then opening a New Document also opens a Navigator in the same state as the document from which a New document was opened (i.e., if list box is closed, then new document has closed list box, if navigator content is shown, then new document shows navigator content, etc.)

2. Redocking Navigator (and opening a New document). It seems like the on/off state of "List Box" when Navigator is redocked has no effect  when a New document is opened.  In both cases (open or closed ListBox when docked), the New Document opens with a docked Navigator (and only shows one category).  

(could not completely get the "rule" for which category is shown. At first, it seemed to be the category where the cursor was located, but could not reproduce consistently).

Dumb question:  Why even keep the List Box in undocked Navigator?  From a functional POV, it (sort of) duplicates "Content Navigation View".  (I recognize that List Box turns off the Box where the Navigator items are shown, but turning off Content Navigation View (almost) does the same thing (except for the previous point where Content Navigation View continues to show at least one category when the Navigator is docked (or undocked).
Comment 22 sdc.blanco 2020-02-16 15:16:50 UTC
Tests in comment 21 conducted with:

Version: 7.0.0.0.alpha0+ (x64)
Build ID: cf96cb11e2a46c452a273ded1c66c556118983cf
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: en-US (en_DK); UI-Language: en-US
Calc: threaded
Comment 23 Jim Raykowski 2020-02-16 23:05:27 UTC
(In reply to sdc.blanco from comment #21)

> Dumb question:  Why even keep the List Box in undocked Navigator?

I think this is a good question.